"""
Copyright 2014-2015 Arve Kylling

This file is part of IRoPLUM.

IRoPLUM is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

IRoPLUM is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with IRoPLUM.  If not, see <http://www.gnu.org/licenses/>.

"""
"""
Run various tests with known output to make sure the software does what
it is supposed to do after changes have been made.

"""
import SyntheticLineIntegrals
import Reconstruction2D

if __name__ == "__main__":

    force=False  #True #  if True generate new test results.
                 # Will overwrite files in TestDir='../Tests'
    TestDir = '../Tests/'
    InpDir  = '../tmp/' #'../Tests/' #
    OutDir   = '../tmp/'

    Tests = [
        'Squares_2X2_4Rays_2Projections_RB',
        'Squares_2X2_4Rays_2Projections_LB',
        'Squares_2X2_6Rays_2Projections_3CamsA'
        ]

    for Test in Tests:
        SyntheticLineIntegrals.RunTest(Test, TestDir, OutDir, force)
        Reconstruction2D.RunTest(Test,TestDir, InpDir, OutDir, force)


